clang 8.0.0

Classes | Namespaces | Enumerations | Functions
SerializedDiagnosticReader.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/Bitcode/BitstreamReader.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include <system_error>`
Include dependency graph for SerializedDiagnosticReader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::serialized_diags::Location
| A location that is represented in the serialized diagnostics. More...
class | clang::serialized_diags::SerializedDiagnosticReader
| A base class that handles reading serialized diagnostics from a file. More...
struct | std::is_error_code_enum< clang::serialized_diags::SDError >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialized_diags
| std

## Enumerations
enum | clang::serialized_diags::SDError { clang::serialized_diags::SDError::CouldNotLoad = 1, clang::serialized_diags::SDError::InvalidSignature, clang::serialized_diags::SDError::InvalidDiagnostics, clang::serialized_diags::SDError::MalformedTopLevelBlock, clang::serialized_diags::SDError::MalformedSubBlock, clang::serialized_diags::SDError::MalformedBlockInfoBlock, clang::serialized_diags::SDError::MalformedMetadataBlock, clang::serialized_diags::SDError::MalformedDiagnosticBlock, clang::serialized_diags::SDError::MalformedDiagnosticRecord, clang::serialized_diags::SDError::MissingVersion, clang::serialized_diags::SDError::VersionMismatch, clang::serialized_diags::SDError::UnsupportedConstruct, clang::serialized_diags::SDError::HandlerFailed }

## Functions
const std::error_category & | clang::serialized_diags::SDErrorCategory ()
std::error_code | clang::serialized_diags::make_error_code (SDError E)